Bug 19627 - ical -print option is broken
ical -print option is broken
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ical (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-23 14:40 EDT by Wesley Tanaka
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-23 14:44:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is a patch against /usr/lib/ical/v2.2/ical_text.tcl which fixes the bug in question. (539 bytes, patch)
2000-10-23 14:42 EDT, Wesley Tanaka
no flags Details | Diff

  None (edit)
Description Wesley Tanaka 2000-10-23 14:40:22 EDT
ical -print option has a bug in it.

/tmp % ical -print 1 -calendar ~/.calendar                       (altair)
11:42
application-specific initialization failed: no value given for parameter
"papersize" to "pr_output"

 I will attach a patch shortly.
Comment 1 Wesley Tanaka 2000-10-23 14:42:50 EDT
Created attachment 4573 [details]
This is a patch against /usr/lib/ical/v2.2/ical_text.tcl which fixes the bug in question.
Comment 2 Wesley Tanaka 2000-10-23 14:44:19 EDT
information about the version of the ical package I'm using is included below.


Name        : ical                         Relocations: (not relocateable)
Version     : 2.2                               Vendor: Red Hat, Inc.
Release     : 19                            Build Date: Sat 05 Aug 2000 02:52:49
AM PDT
Install date: Mon 23 Oct 2000 11:40:38 AM PDT      Build Host:
porky.devel.redhat.com
Group       : Applications/Productivity     Source RPM: ical-2.2-19.src.rpm
Size        : 795039                           License: distributable
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         :
http://www.research.digital.com/SRC/personal/Sanjay_Ghemawat/ical/home.html
Summary     : An X Window System-based calendar program.
Description :
Ical is an X Window System based calendar program.  Ical will easily
create/edit/delete entries, create repeating entries, remind you about
upcoming appointments, print and list item occurrences, and allow
shared calendars between different users.

Install ical if you need a calendar program to track your schedule.
You'll need to have the X Window System installed in order to use
ical.
Comment 3 Ngo Than 2000-10-24 09:21:46 EDT
i  have already  added your patch file. Thanks

Note You need to log in before you can comment on or make changes to this bug.